org.eclipse.viatra.cep.vepl.vepl

## Interface Import

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    GenericImport, QueryImport
  All Known Implementing Classes:
    GenericImportImpl, ImportImpl, QueryImportImpl

      public interface Import
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Import'.

  The following features are supported:

  - `Imported Namespace`
  See Also:
    `VeplPackage.getImport()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImportedNamespace()` Returns the value of the 'Imported Namespace' attribute.
    `void` | `setImportedNamespace(java.lang.String value)` Sets the value of the '`Imported Namespace`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getImportedNamespace

          java.lang.String getImportedNamespace()

      Returns the value of the 'Imported Namespace' attribute.

      If the meaning of the 'Imported Namespace' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Imported Namespace' attribute.
      See Also:
        `setImportedNamespace(String)`, `VeplPackage.getImport_ImportedNamespace()`
      Generated:
      Model:

    - #### setImportedNamespace

          void setImportedNamespace(java.lang.String value)

      Sets the value of the '`Imported Namespace`' attribute.
      Parameters:
        `value` - the new value of the 'Imported Namespace' attribute.
      See Also:
        `getImportedNamespace()`
      Generated: